summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-09-20 13:07:27 -0700
committerJelmer Vernooij <jelmer@samba.org>2010-09-20 13:07:27 -0700
commitcd7335abd31e7c4a42d3fc108fa873645bf4c53c (patch)
tree201a4a8dcd6e278ccef9ed267daec6630c653c27 /source4/script
parent0e8975a4fe52a15feb5e97a1b9bbc8717ecae74c (diff)
downloadsamba-cd7335abd31e7c4a42d3fc108fa873645bf4c53c.tar.gz
samba-cd7335abd31e7c4a42d3fc108fa873645bf4c53c.tar.bz2
samba-cd7335abd31e7c4a42d3fc108fa873645bf4c53c.zip
s4-mkrelease: Update to use waf build.
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/mkrelease.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/source4/script/mkrelease.sh b/source4/script/mkrelease.sh
index 6fc17714f7..8b53e72036 100755
--- a/source4/script/mkrelease.sh
+++ b/source4/script/mkrelease.sh
@@ -6,28 +6,26 @@ if [ ! -d ".git" -o `dirname $0` != "./source4/script" ]; then
exit 1
fi
-echo "WARNING: This script prepares an autotools based release, which has known problems!"
-
OUTDIR=`mktemp -d samba-XXXXX`
(git archive --format=tar HEAD | (cd $OUTDIR/ && tar xf -))
#Prepare the tarball for a Samba4 release, with some generated files,
#but without Samba3 stuff (to avoid confusion)
( cd $OUTDIR/ || exit 1
- rm -rf README Manifest Read-Manifest-Now Roadmap source3 packaging docs-xml examples swat WHATSNEW.txt MAINTAINERS || exit 1
+ rm -rf README Manifest Read-Manifest-Now Roadmap source3 packaging docs-xml examples swat WHATSNEW.txt MAINTAINERS source4/autogen-autotools.sh || exit 1
cd source4 || exit 1
- ./autogen-autotools.sh || exit 1
+ ./autogen.sh || exit 1
./configure || exit 1
make dist || exit 1
) || exit 1
-VERSION_FILE=$OUTDIR/source4/version.h
+VERSION_FILE=$OUTDIR/source4/bin/default/source4/include/config.h
if [ ! -f $VERSION_FILE ]; then
echo "Cannot find version.h at $VERSION_FILE"
exit 1;
fi
-VERSION=`sed -n 's/^SAMBA_VERSION_STRING=//p' $VERSION_FILE`
+VERSION=`sed -n 's/^PACKAGE_VERSION //p' $VERSION_FILE`
echo "Version: $VERSION"
mv $OUTDIR samba-$VERSION || exit 1
tar -cf samba-$VERSION.tar samba-$VERSION || (rm -rf samba-$VERSION; exit 1)